# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the bin/rails db:seed command (or created alongside the database with db:setup).
#
# Examples:
#
#   movies = Movie.create([{ name: "Star Wars" }, { name: "Lord of the Rings" }])
#   Character.create(name: "Luke", movie: movies.first)

rng = RandomNameGenerator.new

nb_creatures = rand(10..20)
nb_creatures.times do 
  nb_syllables = rand(2..4)

  c = Creature.create(name: rng.compose(nb_syllables), health_points: rand(6..50))
  puts "Création de #{c.to_label}"
end